* Encoding: UTF-8.
*1) Using WVS_Longitudinal_1981_2014_spss_v2015_04_18.sav (DataSet1), Downloaded from www.worldvaluessurvey.org 02/12/2017.
GET 
   FILE '...\WVS_Longitudinal_1981_2014_spss_v2015_04_18.sav'.

* 2)The last version of the WVS longitudinal file (downloaded in 12/2017) does not contain  data for the 3rd wave in Brazil, therefore we
have  merged the two datasets: 1) longitudinal comprising 2nd, 5th and 6th waves; and 2) the data for the 3rd wave.

GET 
   FILE '/WVS_Br_3.sav'.

*2) Selecting data for Brazil only.
FILTER OFF.
USE ALL.
SELECT IF (S003 = 76).
EXECUTE.

*2) Weighting cases.
WEIGHT BY S017. 


*3) Descriptive analysis of post-materialism.

CROSSTABS
  /TABLES=S021 BY Y002
  /FORMAT=AVALUE TABLES
  /CELLS=ROW 
  /COUNT ROUND CELL.

USE ALL.
COMPUTE filter_$=(X003 <= 29).
VARIABLE LABELS filter_$ 'X003 <= 29 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

CROSSTABS
  /TABLES=S021 BY Y002
  /FORMAT=AVALUE TABLES
  /CELLS=ROW 
  /COUNT ROUND CELL.

*4) Creating false cohorts. Groups based on individuals born in intervals of 20 years. The values for the wave of 1991 were inputed given 
the absence of values for this variable in the original file. 
FILTER OFF. 
USE ALL.

IF (S020 = 1991) X002=1991 - X003.
EXECUTE.

RECODE X002 (1920 thru 1940=1) (1941 thru 1960=2) (1961 thru 1980=3)
(1981 thru 2000=4) (2001 thru 2014=5) (ELSE=99) INTO pseudo_cohort.
EXECUTE.

*5) Descriptive analysis of self-expression. 

GRAPH 
  /ERRORBAR(CI 95)=SURVSELF BY pseudo_cohort.

*6) Descriptive analysis of Government Responsibility. 

SORT CASES  BY S002. 
SPLIT FILE LAYERED BY S002.

GRAPH 
  /BAR(SIMPLE)=PCT BY E037.

*6) Comparing means of the variable Government Responsibility. 
SPLIT FILE OFF.

*by wave.
MEANS TABLES=E037 BY S002
  /CELLS=MEAN COUNT STDDEV.

*by cohort.
MEANS TABLES=E037 BY pseudo_cohort 
  /CELLS=MEAN COUNT STDDEV.

*5) Regression analysis of Government Responsibility. 

REGRESSION 
  /MISSING LISTWISE 
  /STATISTICS COEFF OUTS R ANOVA 
  /CRITERIA=PIN(.05) POUT(.10) 
  /NOORIGIN 
  /DEPENDENT E037 
  /METHOD=ENTER X001 X025 pseudo_cohort E035 SURVSELF Y003.

